Package org.eclipse.ui.texteditor

# Class DeleteLineAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.ui.texteditor.ResourceAction
org.eclipse.ui.texteditor.TextEditorAction
org.eclipse.ui.texteditor.DeleteLineAction

All Implemented Interfaces:
  `IAction`, `IUpdate`

public class DeleteLineAction extends TextEditorAction
An action to delete a whole line, the fraction of the line that is left from the cursor or the fraction that is right from the cursor.

Since:
  2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TO_BEGINNING`
Delete to the beginning of line.
`static final int`
`TO_END`
Delete to the end of line.
`static final int`
`WHOLE`
Delete the whole line.

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`DeleteLineAction(ResourceBundle bundle, String prefix, ITextEditor editor, int type)`
Creates a line deletion action.
`DeleteLineAction(ResourceBundle bundle, String prefix, ITextEditor editor, int type, boolean copyToClipboard)`
Creates a line deletion action.
`DeleteLineAction(ITextEditor editor, int type, boolean copyToClipboard)`
Creates a line deletion action.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The default implementation of this `IAction` method does nothing.
`void`
`update()`
Always enables this action if it is connected to a text editor.

### Methods inherited from class org.eclipse.ui.texteditor.TextEditorAction

`canModifyEditor, getTextEditor, setEditor, validateEditorInputState`

### Methods inherited from class org.eclipse.ui.texteditor.ResourceAction

`getString, initialize, setHelpContextId`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WHOLE

public static final int WHOLE
Delete the whole line.

See Also:
  - Constant Field Values

### TO_BEGINNING

public static final int TO_BEGINNING
Delete to the beginning of line.

See Also:
  - Constant Field Values

### TO_END

public static final int TO_END
Delete to the end of line.

See Also:
  - Constant Field Values

## Constructor Details

### DeleteLineAction

public DeleteLineAction(ResourceBundle bundle, String prefix, ITextEditor editor, int type)
Creates a line deletion action.

Parameters:
  `bundle` - the resource bundle for UI strings
  `prefix` - the prefix for the property keys into `bundle`
  `editor` - the editor
  `type` - the line deletion type, must be one of `WHOLE_LINE`, `TO_BEGINNING` or `TO_END`

### DeleteLineAction

public DeleteLineAction(ResourceBundle bundle, String prefix, ITextEditor editor, int type, boolean copyToClipboard)
Creates a line deletion action.

Parameters:
  `bundle` - the resource bundle for UI strings
  `prefix` - the prefix for the property keys into `bundle`
  `editor` - the editor
  `type` - the line deletion type, must be one of `WHOLE_LINE`, `TO_BEGINNING` or `TO_END`
  `copyToClipboard` - if `true`, the contents of the deleted line are copied to the clipboard
Since:
  2.1

### DeleteLineAction

public DeleteLineAction(ITextEditor editor, int type, boolean copyToClipboard)
Creates a line deletion action.

Parameters:
  `editor` - the editor
  `type` - the line deletion type, must be one of `WHOLE_LINE`, `TO_BEGINNING` or `TO_END`
  `copyToClipboard` - if `true`, the contents of the deleted line are copied to the clipboard
Since:
  3.5

## Method Details

### run

public void run()
Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - `How radio buttons are handled`
  - `How check boxes are handled`

### update

public void update()
Description copied from class: `TextEditorAction`
Always enables this action if it is connected to a text editor. If the associated editor is `null`, the action is disabled. Subclasses may override.

Specified by:
  `update` in interface `IUpdate`
Overrides:
  `update` in class `TextEditorAction`